org.cryptomator.cryptolib.api.AuthenticationFailedException: Header MAC doesn't match.

GitHub | mirror1337 | 8 months ago
tip
Click on the to mark the solution that helps you, Samebug will learn from it.
As a community member, you’ll be rewarded for you help.
  1. 0

    Cryptomator won't migrate vault to new 1.2.0. version format

    GitHub | 8 months ago | mirror1337
    org.cryptomator.cryptolib.api.AuthenticationFailedException: Header MAC doesn't match.
  2. 0

    Vault migration to 1.2.3 may fail when using MagentaCloud

    GitHub | 4 months ago | KaiSchilling
    org.cryptomator.cryptolib.api.AuthenticationFailedException: Header MAC doesn't match.

    Root Cause Analysis

    1. org.cryptomator.cryptolib.api.AuthenticationFailedException

      Header MAC doesn't match.

      at org.cryptomator.cryptolib.v1.FileHeaderCryptorImpl.decryptHeader()
    2. org.cryptomator.cryptolib
      FileHeaderCryptorImpl.decryptHeader
      1. org.cryptomator.cryptolib.v1.FileHeaderCryptorImpl.decryptHeader(FileHeaderCryptorImpl.java:108)[cryptolib-1.0.2.jar:?]
      1 frame
    3. org.cryptomator.ui
      UpgradeVersion4to5$1.visitFile
      1. org.cryptomator.ui.model.UpgradeVersion4to5.migrate(UpgradeVersion4to5.java:78)[Cryptomator-1.2.0.jar:1.2.0]
      2. org.cryptomator.ui.model.UpgradeVersion4to5.access$100(UpgradeVersion4to5.java:32)[Cryptomator-1.2.0.jar:1.2.0]
      3. org.cryptomator.ui.model.UpgradeVersion4to5$1.visitFile(UpgradeVersion4to5.java:59)[Cryptomator-1.2.0.jar:1.2.0]
      4. org.cryptomator.ui.model.UpgradeVersion4to5$1.visitFile(UpgradeVersion4to5.java:54)[Cryptomator-1.2.0.jar:1.2.0]
      4 frames
    4. Java RT
      Files.walkFileTree
      1. java.nio.file.Files.walkFileTree(Files.java:2670)[?:1.8.0_102]
      2. java.nio.file.Files.walkFileTree(Files.java:2742)[?:1.8.0_102]
      2 frames
    5. org.cryptomator.ui
      AsyncTaskService$AsyncTaskImpl.lambda$run$7
      1. org.cryptomator.ui.model.UpgradeVersion4to5.upgrade(UpgradeVersion4to5.java:54)[Cryptomator-1.2.0.jar:1.2.0]
      2. org.cryptomator.ui.model.UpgradeStrategy.upgrade(UpgradeStrategy.java:53)[Cryptomator-1.2.0.jar:1.2.0]
      3. org.cryptomator.ui.controllers.UpgradeController.lambda$upgrade$1(UpgradeController.java:111)[Cryptomator-1.2.0.jar:1.2.0]
      4. org.cryptomator.ui.util.AsyncTaskService.lambda$asyncTaskOf$0(AsyncTaskService.java:32)[Cryptomator-1.2.0.jar:1.2.0]
      5. org.cryptomator.ui.util.AsyncTaskService$AsyncTaskImpl.lambda$null$6(AsyncTaskService.java:89)[Cryptomator-1.2.0.jar:1.2.0]
      6. org.cryptomator.ui.util.AsyncTaskService.logExceptions(AsyncTaskService.java:118)[Cryptomator-1.2.0.jar:1.2.0]
      7. org.cryptomator.ui.util.AsyncTaskService.access$100(AsyncTaskService.java:19)[Cryptomator-1.2.0.jar:1.2.0]
      8. org.cryptomator.ui.util.AsyncTaskService$AsyncTaskImpl.lambda$run$7(AsyncTaskService.java:87)[Cryptomator-1.2.0.jar:1.2.0]
      8 frames
    6. Java RT
      Thread.run
      1. java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)[?:1.8.0_102]
      2. java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)[?:1.8.0_102]
      3. java.lang.Thread.run(Thread.java:745)[?:1.8.0_102]
      3 frames